#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# OpenMCA - An Open Source Multichannel Analyzer for Python.
#
# Copyright (c) 2016 Annulus Team <support@annulus.io>
#
# OpenMCA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenMCA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

"""Allow user to run OpenMCA as a module from a dir or zip file."""


import os
from setuptools import setup
from openmca import __version__

def readme_file():
    """Use README.rst as long_description."""
    with open(os.path.join(os.path.dirname(__file__), "README.rst"), 'r') as readme:
        return readme.read()

setup(
    name             = "openmca",
    version          = __version__,
    author           = "Annulus Team",
    author_email     = "support@annulus.io",
    description      = ("An open source multichannel analyzer for Python."),
    license          = "GPLv3",
    keywords         = "science lab",
    url              = "https://annulus.io/OpenMCA",
    packages         = ['openmca', 'tests'],
    scripts          = ['bin/openmca'],
    long_description = readme_file(),
    classifiers      = ["Development Status :: 1 - Planning",
                        "Topic :: Scientific/Engineering",
                        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+) ", ],
)
